<?php
/*
	Plugin Name: Video for Goviral
	Description: Embed Script Video form Goviral ...
	Author: LIKIPE
	Version: 1.0
	Author URL: http://likipe.se
	
*/
 
function goviral_shortcode($attributes, $content = null)
{
	global $wpdb;
	global $post;
	extract(shortcode_atts(array(
            'code' => ''), $attributes));
	if (empty($code)) return $content;
	//Get Metavalue
	$key = '_goviral_'.$code;
	$meta_value = get_post_meta($post->ID, $key, true);
	
	//fix width 650px;
	$pattern1 = '#\?w\=(\d+)#i';
	$meta_value =  preg_replace($pattern1, '?w=650', $meta_value);
	$meta_value =  preg_replace("/width\=\d+/","width=650",$meta_value);
	$pattern2 = '#\&h\=(\d+)#i';
	$meta_value =  preg_replace($pattern2, '', $meta_value);
	return $meta_value;
}
add_shortcode( 'goviral', 'goviral_shortcode' );

# Hooked on upload
function media_upload_goviral() {
	return wp_iframe( 'goviral_popup', 'goviral', $errors, $id );
}

function goviral_plugin_url()
{
    return WP_PLUGIN_URL . '/goviral/';
}

function goviral_popup()
{
	include('popup.php');
}

function goviral_media_button()
{
    print "<a href='" . esc_url( get_upload_iframe_src('goviral') ) . "' id='add_goviral' class='thickbox' title='Add Video Goviral'><img with='16' height='16'  src='" . esc_url( content_url('/plugins/goviral/logo.ico') ) . "' alt='Add Video Goviral' /></a>";
}


# Add a button above the wysiwyg editor
add_action('media_buttons', 'goviral_media_button', 22);

# On post in videofyme form
add_action('media_upload_goviral', 'media_upload_goviral');
